/*  (C) Copyright 2009-2012 Texas Instruments, Inc.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


#ifndef QMSS_QOS_SCHED_BE_H_
#define QMSS_QOS_SCHED_BE_H_

#ifdef __cplusplus
extern "C" {
#endif



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int qos_sched_be[] =  {
     0x21000300,
     0x80100001,
     0x01000005,
     0x2406d6e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x2eff8182,
     0x242000e0,
     0x240000e1,
     0x0504e0e0,
     0x80e02981,
     0x6f00e0fe,
     0x24000181,
     0x248010c1,
     0x24000582,
     0x240100c2,
     0x241ff8e0,
     0x80e06981,
     0x24000026,
     0x24095083,
     0x2eff878b,
     0x2401c4cc,
     0x2404c08c,
     0x2400582d,
     0x2400f00d,
     0x2400082e,
     0x2400280e,
     0x8083e98b,
     0x008c8383,
     0x01012626,
     0x510c2609,
     0x6f0226fc,
     0x240044cc,
     0x2400908c,
     0x2400382d,
     0x2400800d,
     0x2400042e,
     0x2400040e,
     0x21001c00,
     0x1f0f8282,
     0x241f80e0,
     0x92e02983,
     0xc90f8203,
     0x1d0f8282,
     0x21005100,
     0x90c3a988,
     0x9083e98b,
     0x92c46993,
     0x9084e98f,
     0x90c56999,
     0xc826821c,
     0x5100fa15,
     0x0047c2c6,
     0x0027c6c6,
     0x0067c6c6,
     0x0904c6e0,
     0x90e06780,
     0xd1020803,
     0x70fae00e,
     0x21003e00,
     0x70fae10c,
     0x10c6c6e0,
     0x2301ed9e,
     0x241f00e1,
     0x82e1a98b,
     0x9285a98b,
     0x00e0efef,
     0x0300eeee,
     0x0101f1f1,
     0x8285a98b,
     0x92e1a98b,
     0x21003800,
     0x2301e79e,
     0x6018670b,
     0x2301d99e,
     0x58280603,
     0x2301e29e,
     0x21005500,
     0x2301c99e,
     0x610c2602,
     0x2301c29e,
     0xc8268203,
     0x2301d29e,
     0x2301e29e,
     0xc91fff05,
     0x1f1fffff,
     0x241f80e0,
     0x82e02983,
     0x21005b00,
     0x21003300,
     0x91006983,
     0xc907039b,
     0x240001e4,
     0x69800303,
     0x10c2c2c3,
     0x2100f500,
     0x69810307,
     0x111fc3e0,
     0x5100e003,
     0x240003e4,
     0x2100f500,
     0x10c3c3c2,
     0x2100f500,
     0x69820308,
     0x240000e0,
     0x81002280,
     0x10c3c3e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x2100f500,
     0x6990033d,
     0x1f0f8282,
     0x5f0cc3f2,
     0x51012304,
     0x51002325,
     0x240004e4,
     0x2100f500,
     0x1ec38282,
     0x24095085,
     0x240090e1,
     0x10c3c3e0,
     0x5100e006,
     0x4902e002,
     0x2404c0e1,
     0x00e18585,
     0x0501e0e0,
     0x4f00e0fc,
     0x9085e987,
     0x240000e7,
     0x2400006a,
     0x2400004a,
     0x108888c5,
     0x108585e0,
     0x240000e6,
     0x80e02986,
     0x0504c5c5,
     0x0104e0e0,
     0x6f00c5fd,
     0x8085e987,
     0x10c3c3e0,
     0x2301c29e,
     0x50e02603,
     0x2301c99e,
     0x21008f00,
     0x2301d29e,
     0x50280604,
     0x10383872,
     0x2301d99e,
     0x21009300,
     0x240001e4,
     0x2100f500,
     0x1cc38282,
     0x10c3c3e0,
     0x2301c29e,
     0x50e02603,
     0x2301c99e,
     0x21009c00,
     0x00c247c6,
     0x240000db,
     0x500edb0a,
     0x0904c6e0,
     0x90e02780,
     0x5100e004,
     0x10c6c6e0,
     0x2301ed9e,
     0x2100a200,
     0x0101dbdb,
     0x0101c6c6,
     0x2100a100,
     0x240001e4,
     0x2100f500,
     0x6991031c,
     0x5f0cc3b6,
     0x240040c6,
     0x24032086,
     0x240044e1,
     0x10c3c3e0,
     0x5100e006,
     0x4902e002,
     0x2401c4e1,
     0x00e18686,
     0x0501e0e0,
     0x4f00e0fc,
     0x240044c5,
     0x5902c302,
     0x2401c4c5,
     0x51002304,
     0x1f0f8282,
     0x51012304,
     0x21007500,
     0x108686c6,
     0x24004086,
     0x90c62987,
     0x80862987,
     0x0104c6c6,
     0x01048686,
     0x0504c5c5,
     0x4f00c5fb,
     0x2100f500,
     0x6992032b,
     0x10e3e3fb,
     0x110fdbe0,
     0x5f0ce098,
     0x2301c29e,
     0x50e02603,
     0x2301c99e,
     0x66e026ff,
     0x0b04dbe0,
     0x110fe0e0,
     0x5e28e091,
     0x2301d29e,
     0x50e00603,
     0x2301d99e,
     0x66e006ff,
     0x0b08dbe0,
     0x5e18e08b,
     0x2301e29e,
     0x50e06703,
     0x2301e79e,
     0x66e067ff,
     0x9285a98b,
     0x10ededf2,
     0x10ececf3,
     0x10efeff4,
     0x10eeeef5,
     0x10f0f0f6,
     0x10f1f1f7,
     0x240300e0,
     0x82e06992,
     0xc9003b03,
     0x240000ed,
     0x240000ec,
     0xc9013b02,
     0x240000f0,
     0xc9023b03,
     0x240000ef,
     0x240000ee,
     0xc9033b02,
     0x240000f1,
     0x8285a98b,
     0x240001e4,
     0x2100f500,
     0x240002e4,
     0x24000003,
     0x81006983,
     0x2301c29e,
     0xc826825e,
     0x00e9ebeb,
     0xd11feb03,
     0x70eaeb02,
     0x10eaeaeb,
     0x2301d29e,
     0x2400007b,
     0x00f3efef,
     0xd11fef03,
     0x70f5ef02,
     0x10f5f5ef,
     0x00f4f0f0,
     0x5100f006,
     0xd11ff005,
     0x1e067b7b,
     0xd11ff003,
     0x70f6f002,
     0x10f6f6f0,
     0x2301d99e,
     0x662806f4,
     0x2400ff5b,
     0x2301d29e,
     0x5100ef10,
     0xd11fef0f,
     0x5100eb49,
     0xd11feb48,
     0x23015b9e,
     0x6900e003,
     0x1c065b5b,
     0x21011e00,
     0x090be0e0,
     0xd1010803,
     0x240001e0,
     0x0914e0e0,
     0x04e0ebeb,
     0x04e0efef,
     0x04e0f0f0,
     0x21010e00,
     0x2301d99e,
     0x662806ef,
     0x2301d29e,
     0x504e0603,
     0x2301d99e,
     0x21012100,
     0x5100eb32,
     0xd11feb31,
     0x105b7be0,
     0x5100e02f,
     0x106ee0e0,
     0x6900e00e,
     0x2301d99e,
     0x2301d29e,
     0x1e066e6e,
     0x10f7f7f1,
     0x2301d99e,
     0x662806fd,
     0x105b6ee0,
     0x107be0e0,
     0x5100e024,
     0x2301d29e,
     0x504e0603,
     0x2301d99e,
     0x21013400,
     0xc84ee019,
     0x23015b9e,
     0x6900e003,
     0x1c4e5b5b,
     0x21015000,
     0x10e0e0e1,
     0x090be1e1,
     0xd1010803,
     0x240001e1,
     0x0914e1e1,
     0x090be0e0,
     0xd1000803,
     0x240001e0,
     0x0914e0e0,
     0x04e1ebeb,
     0x04e1f0f0,
     0x04e0f1f1,
     0x5100f003,
     0xd11ff002,
     0x21014c00,
     0x1c4e7b7b,
     0x5100f103,
     0xd11ff102,
     0x21015000,
     0x1c4e6e6e,
     0x2301d99e,
     0x01014e4e,
     0x66284ed2,
     0x2400004e,
     0x2301d29e,
     0x21012400,
     0x2301c99e,
     0x670c26a1,
     0x21002900,
     0x8084e98f,
     0x21015600,
     0x109e9ede,
     0x241e00e1,
     0x80e1698b,
     0x002747e1,
     0x00c2e1e1,
     0x111fe1e0,
     0x0b05e1e1,
     0x0902e1e1,
     0x90e12581,
     0x0ae0e10b,
     0x0058386b,
     0x2301e29e,
     0x50386706,
     0xc8670b03,
     0x2301ae9e,
     0x2101a000,
     0x2301e79e,
     0x663867fc,
     0x5100582c,
     0x50726703,
     0x2301e79e,
     0x21016e00,
     0x2400004b,
     0x100b52e1,
     0x6900e111,
     0x2301e29e,
     0x50386703,
     0x2301e79e,
     0x21017500,
     0x1038382b,
     0x1e2b5252,
     0x80852999,
     0x01012b2b,
     0x2301e79e,
     0x666b2bfc,
     0x100b52e1,
     0x5100e117,
     0x2301e29e,
     0x50726703,
     0x2301e79e,
     0x21018100,
     0x100b52e1,
     0xc872e10f,
     0x2301ae9e,
     0x090be0e1,
     0xd1000803,
     0x240001e1,
     0x0914e1e1,
     0x9085298c,
     0x04e1ecec,
     0x8085298c,
     0x5100ec03,
     0xd11fec02,
     0x21019200,
     0x1c725252,
     0x2301a49e,
     0x2101a000,
     0x2301a49e,
     0x66584bdd,
     0x506b6703,
     0x2301e79e,
     0x21019600,
     0x50186706,
     0xc8670b03,
     0x2301ae9e,
     0x2101a000,
     0x2301e79e,
     0x661867fc,
     0x240000e0,
     0x241e00e1,
     0x90e1698b,
     0x10dede9e,
     0x209e0000,
     0x10fefee1,
     0x01017272,
     0x606b7203,
     0x2301e29e,
     0x10383872,
     0x50726703,
     0x2301e79e,
     0x2101a900,
     0x10e1e1fe,
     0x209e0000,
     0x241f00e1,
     0x82e1a98b,
     0x9285a98b,
     0x002747e0,
     0x0067e0e0,
     0x00c2e0e0,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06680,
     0x5100e108,
     0x0101f0f0,
     0x00e0eded,
     0x0300ecec,
     0x8285a98b,
     0x0904c8f0,
     0x0108f0f0,
     0x80f06680,
     0x241f00e1,
     0x92e1a98b,
     0x209e0000,
     0x24000026,
     0x24000047,
     0x240320c3,
     0x24095083,
     0x90c3a988,
     0x9083e98b,
     0x209e0000,
     0x8083e98b,
     0x00ccc3c3,
     0x008c8383,
     0x01012626,
     0x000e4747,
     0x510c2603,
     0x90c3a988,
     0x9083e98b,
     0x209e0000,
     0x24000006,
     0x24000027,
     0x010cc3c4,
     0x01108384,
     0x92c46993,
     0x9084e98f,
     0x209e0000,
     0x8084e98f,
     0x002dc4c4,
     0x000d8484,
     0x01010606,
     0x002e2727,
     0x58280603,
     0x92c46993,
     0x9084e98f,
     0x209e0000,
     0x24000067,
     0x0118c4c5,
     0x01108485,
     0x90c56999,
     0x209e0000,
     0x0108c5c5,
     0x011c8585,
     0x01016767,
     0x58186702,
     0x90c56999,
     0x209e0000,
     0x241e80e1,
     0x84e12982,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06682,
     0x11f00303,
     0x10e2e2e4,
     0xf3006385,
     0x11c065e0,
     0x5100e003,
     0x5180e00e,
     0x21020900,
     0xd10fe702,
     0x240000ea,
     0x240000e2,
     0xc90ee702,
     0x1f1fe2e2,
     0x111f2727,
     0x090487e0,
     0x0108e0e0,
     0x80e06682,
     0x5100ea07,
     0xf3006a85,
     0x2101fb00,
     0x111f2727,
     0x090487e0,
     0x010ce0e0,
     0x80e02683,
     0x10e4e4e0,
     0x241e80e1,
     0x94e12982,
     0x209e0000,
     0x00000044,
     0x000001c4,
     0x00000090,
     0x000004c0,
     0x0000000c,
     0x00000078,
     0x00000040 };

#ifdef __cplusplus
}
#endif

#endif /* QMSS_QOS_SCHED_BE_H_ */

